/*
 * kstats.c - A test device driver.
 *
 * (C) Copyright 2004 Jon Masters for Linux User & Developer
 * This program is distributed under the GPL.
 *
 * See http://lxr.linux.no/ for a cross reference of kernel sources.
 *
 */

#include <linux/module.h>        /* module macros */
#include <linux/init.h>          /* init macros */

#include <linux/config.h>
#include <linux/errno.h>
#include <linux/kernel.h>

static const char kstats_version[] = "1.0";	/* release information */
static const char kstats_name[] = "kstats";	/* identification string */

int __init kstats_init(void)
{

	printk(KERN_INFO "%s: Loading driver, version: %s.\n",
			kstats_name, kstats_version);
	
	printk(KERN_INFO "%s: current user: %d.\n",
			kstats_name, current->uid);

	printk(KERN_INFO "%s: current jiffies value is: %ld.\n",
			kstats_name, jiffies);

	return 0; /* not likely to fail */
	
}

void __exit kstats_exit(void)
{
	printk(KERN_INFO "%s: Unloading driver.\n", kstats_name);
}

module_init(kstats_init);				/* function pointer */
module_exit(kstats_exit);				/* function pointer */

MODULE_AUTHOR("Jon Masters <jcm@jonmasters.org>");	/* author */
MODULE_INFO(magazine, "Linux User & Developer");	/* no reason :-) */
MODULE_LICENSE("GPL");					/* not tainted */
